WordPress.org

Forums

Zopim Live Chat
[resolved] PHP Notice Fixes (7 posts)

  1. Jonathan Desrosiers
    Member
    Posted 8 months ago #

    The plugin causes a handful of PHP notices that can be easily fixed.

    Line 43 returns an index undefined error.

    PHP Notice: Undefined index: page in /var/www/html/wp-content/plugins/zopim-live-chat/zopim.php on line 43

    You can fix it by replacing it with this code:

    if ( ( $code == "" || $code == "zopim" ) && ( isset( $_GET['page'] ) && ! preg_match( "/zopim/", $_GET['page'] ) ) && ( isset( $_GET['page'] ) && ! preg_match( "/zopim/", $_SERVER["SERVER_NAME"] ) ) )
    		return;

    Line 77 also throws a notice, because the variable does not exist yet, and you are performing a .= operation.

    You can fix it by replacing line 77 with the following:
    $zopim_embed_opts = "\$zopim( function() {";

    https://wordpress.org/plugins/zopim-live-chat/

  2. bencxr
    Member
    Plugin Author

    Posted 8 months ago #

    Hi Jonathan,

    Thanks for your feedback. Our engineer will take a look at your suggestion.

    Best Regards,
    Team Zopim

  3. Jonathan Desrosiers
    Member
    Posted 8 months ago #

    Noticed the recent 1.3.0 update had these changes. Thanks for adding them, they will help us keep our debug.log slim and trim.

  4. josue reynaldo pereira gutierr
    Member
    Posted 8 months ago #

    este error... ayudaaaaa

    Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/reynaldo/public_html/wp-content/plugins/zopim-live-chat/accountconfig.php:20) in /home/reynaldo/public_html/wp-content/themes/realty/functions.php on line 19

  5. intercloudhost
    Member
    Posted 8 months ago #

    Latest version (1.3.0) gives warnings, some of them reported already.

    WordPress 3.9.1
    Theme: Bazar Shop 2.4

    Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /nfs/c08/h03/mnt/171680/domains/demo.ogon.com.mx/html/wp-content/plugins/zopim-live-chat/accountconfig.php:20) in /nfs/c08/h03/mnt/171680/domains/demo.ogon.com.mx/html/wp-content/themes/bazar/theme/plugins/yith_wishlist/class.yith-wcwl.php on line 54

    Warning: Cannot modify header information - headers already sent by (output started at /nfs/c08/h03/mnt/171680/domains/demo.ogon.com.mx/html/wp-content/plugins/zopim-live-chat/accountconfig.php:20) in /nfs/c08/h03/mnt/171680/domains/demo.ogon.com.mx/html/wp-content/themes/bazar/theme/plugins/yith_wishlist/functions.yith-wcwl.php on line 118

  6. dpartis
    Member
    Posted 8 months ago #

    I get this error as well. I am using WordPress 3.9.1 and WooCommerce 2.1.12 and Zopim 1.3.0 and I get this error when I do a listing of orders in the WooCommerce Orders page. I have disabled Zopim and the error disappears.

    Using Elegant Themes StyleShop

    Warning: Cannot modify header information - headers already sent by (output started at /home/x3cmpdge/public_html/wp-content/plugins/zopim-live-chat/accountconfig.php:20) in /home/x3cmpdge/public_html/wp-includes/pluggable.php on line 1121

  7. bencxr
    Member
    Plugin Author

    Posted 8 months ago #

    So sorry about it, the update for this bug fix has already been rolled out. Do download the latest version.
    Thank you for reporting the bug.

    Regards,
    Team Zopim

Reply

You must log in to post.

About this Plugin

About this Topic